# Class RefreshAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.jdt.ui.actions.SelectionDispatchAction
org.eclipse.jdt.ui.actions.RefreshAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener`

public class RefreshAction extends SelectionDispatchAction
Action for refreshing the workspace from the local file system for the selected resources and all of their descendants. This action also considers external Jars managed by the Java Model.

Action is applicable to selections containing resources and Java elements down to compilation units.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`RefreshAction(org.eclipse.ui.IWorkbenchSite site)`
Creates a new `RefreshAction`.

## Method Summary

Modifier and Type
Method
Description
`void`
`run(org.eclipse.jface.viewers.IStructuredSelection selection)`
Executes this actions with the given structured selection.
`void`
`selectionChanged(org.eclipse.jface.viewers.IStructuredSelection selection)`
Notifies this action that the given structured selection has changed.

### Methods inherited from class SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, run, run, run, selectionChanged, selectionChanged, selectionChanged, selectionChanged, setSpecialSelectionProvider, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RefreshAction

public RefreshAction(org.eclipse.ui.IWorkbenchSite site)
Creates a new `RefreshAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

## Method Details

### selectionChanged

public void selectionChanged(org.eclipse.jface.viewers.IStructuredSelection selection)
Description copied from class: `SelectionDispatchAction`
Notifies this action that the given structured selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`
Parameters:
  `selection` - the new selection

### run

public void run(org.eclipse.jface.viewers.IStructuredSelection selection)
Description copied from class: `SelectionDispatchAction`
Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection